parameters:
    stripe_secret_key: '%env(STRIPE_SECRET_KEY)%'

services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false 
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
    App\State\StripeCheckoutProcessor:
        public: true
        autowire: true
        autoconfigure: true
        arguments:
            $stripeSecretKey: '%stripe_secret_key%'
    App\Controller\CatalogueController:
        public: true
        autowire: true
        tags: ['controller.service_arguments']

    App\Security\UserProvider:
        arguments:
            $em: '@doctrine.orm.entity_manager'
    App\EventListener\LoginSuccessListener:
        tags:
            - { name: 'kernel.event_listener', event: 'lexik_jwt_authentication.on_authentication_success', method: 'onLoginSuccess' }
    App\EventListener\JWTCreatedListener:
        tags:
            - { name: 'kernel.event_listener', event: 'lexik_jwt_authentication.on_jwt_created', method: 'onJWTCreated' }
